Bug 584397 - Review Request: hivex - Read and write Windows Registry binary hive files
Summary: Review Request: hivex - Read and write Windows Registry binary hive files
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: nobody nobody
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 188271 584364
TreeView+ depends on / blocked
 
Reported: 2010-04-21 14:12 UTC by Richard W.M. Jones
Modified: 2016-04-26 15:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 11:07:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2010-04-21 14:12:02 UTC
Spec URL: http://94.30.104.162/rhel-5-rhev/hivex.spec
SRPM URL: http://94.30.104.162/rhel-5-rhev/hivex-1.2.1-1.el5rhev.1.src.rpm
Description:

Hive files are the undocumented binary blobs that Windows uses to
store the Windows Registry on disk.  Hivex is a library that can read
and write to these files.

'hivexsh' is a shell you can use to interactively navigate a hive
binary file.

'hivexregedit' lets you export and merge to the textual regedit
format.

'hivexml' can be used to convert a hive file to a more useful XML
format.

In order to get access to the hive files themselves, you can copy them
from a Windows machine.  They are usually found in
%systemroot%\system32\config.  For virtual machines we recommend
using libguestfs or guestfish to copy out these files.  libguestfs
also provides a useful high-level tool called 'virt-win-reg' (based on
hivex technology) which can be used to query specific registry keys in
an existing Windows VM.

For Perl bindings, see 'perl-hivex'.


Note You need to log in before you can comment on or make changes to this bug.